Subject: Re: bug#47832: 28.0.50; define-fringe-bitmap and emacs --daemon

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Apr 2021 13:57:14 +0300

> Date: Sat, 17 Apr 2021 09:49:46 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked]
> 
> This used to work indeed; it worked on GNU/Linux with default (non-Cairo) 
> builds for Emacs 24 to 27.

And with Emacs 28 it doesn't work in non-Cairo builds?

> Got it! :-)  The commit I identified is indeed the culprit.  With 
> USE_CAIRO, gui_init_fringe() is called in x_initialize(); without 
> USE_CAIRO it isn't.  And gui_init_fringe() had a bug, which should now be 
> fixed on Windows, too.  Patch attached.

Thanks, but is this really all that needs to be done?  How will
gui_init_fringe be called in the non-Cairo builds?  And what about NS?